/*******************************************************************************
	FILE:			WelcomeStartupApp.H

	AUTHOR:			S.R. Gross
	
	Revision History:
	
	950220	-	Finally completed a version good enough to be called V1.0
				
	941215	-	Dusted off earlier attempts to make this work. Really, this 
				time I mean it!!!
				
	930420	-	Modified Menus and Dialog Boxes and their Constants
				to Fit My needs
				Described the Prototypes 
				
	930301	-	Started with Sound101_recordplay.c Listing Provided in March 93 
				MacTech Magazine  1992 Praxitel, Inc. and Iggi Monahelis
 
	==========================================================
  	==========================================================

   ******************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <Sound.h>
#include <SoundInput.h>

/************************************/
/*             Constants			*/
/************************************/
/*	srg mApple, mFile, mEdit*/

#define			kBaseResID			128
#define			kAboutALRTid		128
#define			kDialogResID		130

#define			kMornSoundID		128
#define			kMidDaySoundID		129
#define			kNiteSoundID		130

#define			mApple				kBaseResID
#define			iAbout				1

#define			mFile				kBaseResID + 1
#define			iPlaySound			1
#define			iPickSound			2
#define			iLocateApp			4
#define			iQuit				6

#define			mEdit				kBaseResID + 2


#define			kAboutDlogRsrc		kBaseResID
#define 		kOptionsDlogID		kBaseResID + 1

#define 		iDone 				1
#define 		iCancel				2
#define			iMorning			3
#define 		iMidDay				4
#define 		iNite				5

// From Dialogger.c
#define	kVisible		true
#define	kMoveToFront	(WindowPtr)-1L
#define	kNoGoAway		false
#define	kSleep			60L

#define	kFirstRadio		3

#define	kOn				1
#define	kOff			0

#define	iUserItem		6

#define	kLeftMargin		5
#define	kTopMargin		40

/************************************/
/*             Prototypes			*/
/************************************/
void PlaySND(int tempId);
extern pascal void MyCallBack (SndChannelPtr chan);
Boolean DisplayGetFile(SFReply *reply);
void ToggleRadioButtons( DialogPtr theDialog, short oldItem, short newItem);
void SetRadioButton( DialogPtr theDialog, short theItem);
int DoDialog( void );
void		FlipControl( ControlHandle control );

/*  
From Dialogger.c MacTech Magazine
see tech note #304					
*/
pascal OSErr SetDialogDefaultItem(DialogPtr theDialog, short newItem)
			=	{ 0x303C, 0x0304, 0xAA68 };
pascal OSErr SetDialogCancelItem(DialogPtr theDialog, short newItem)
			=	{ 0x303C, 0x0305, 0xAA68 };


/* *****************************************************************************
	DESCRIPTION: 	Main
   ***************************************************************************** */

#ifndef _Main_
#define	_Main_

void	Main( void );

#endif
/* *****************************************************************************
	DESCRIPTION: 	SetUpMenus Initialization Prototype
   ***************************************************************************** */

#ifndef _SetUpMenus_
#define	_SetUpMenus_

void	SetUpMenus	( void );

#endif
/* *****************************************************************************
	DESCRIPTION: 	EventLoop Initialization Prototype

#ifndef _EventLoop_
#define	_EventLoop_

#endif
   ***************************************************************************** */

void	EventLoop( void );

/* *****************************************************************************
	DESCRIPTION: 	DoEvent Initialization Prototype
   ***************************************************************************** */

#ifndef _DoEvent_
#define	_DoEvent_

void	DoEvent(EventRecord *event);

#endif
/* *****************************************************************************
	DESCRIPTION: 	DoMenuCommand Initialization Prototype
   ***************************************************************************** */
#ifndef _DoMenuCommand_
#define	_DoMenuCommand_

void DoMenuCommand(long menuResult);

#endif
/* *****************************************************************************
	DESCRIPTION: 	Terminate Initialization Prototype
   ***************************************************************************** */

#ifndef _Terminate_
#define	_Terminate_

void	Terminate( void );

#endif
/* *****************************************************************************
	DESCRIPTION: 	PlayASound Initialization Prototype
   ***************************************************************************** */

#ifndef _PlayASound_
#define	_PlayASound_

void PlayASound(void);

#endif

/* *****************************************************************************
	DESCRIPTION: 	PickASound Initialization Prototype
   ***************************************************************************** */

#ifndef _PickASound_
#define	_PickASound_

void PickASound(void);

#endif
/* *****************************************************************************
	DESCRIPTION: 	LocateApp Initialization Prototype
   ***************************************************************************** */

#ifndef _LocateApp_
#define	_LocateApp_
void LocateApp(void);

#endif
/* =======================================  EOF  ========================================
======================================================================================= */
