
/*******************************************************************************
	FILE:			WelcomeStartupUtility_play.c

	AUTHOR:			S.R. Gross
	
	Revision History:
	
	950220	-	Finally completed a version good enough to be called V1.0
				
	941215	-	Dusted off earlier attempts to make this work. Really, this 
				time I mean it!!!
				
	930420	-	Modified Menus and Dialog Boxes and their Constants
				to Fit My needs
				Described the Prototypes 
				
	930301	-	Started with Sound101_recordplay.c Listing Provided in March 93 
				MacTech Magazine  1992 Praxitel, Inc. and Iggi Monahelis
 
	==========================================================
  	==========================================================

   ******************************************************************************/

#include "WelcomeStartup.h"

extern			int				gDestroyChannel;
extern			SndChannelPtr	gSndChan;
extern			short			gFRefNum;
extern			short			gAppFRefNum;
extern			DateTimeRec		now;
				SFReply			reply;

/**********************************************************************************

Routine:	main

	routine does initialization for WelcomeStartupUtility, 
	calls the PlaySound routine,
	Exits

**********************************************************************************/
void	main(void)

{
InitGraf((Ptr) &thePort);
InitFonts();
InitWindows();
InitMenus();
TEInit();
InitDialogs(0L);
InitCursor();

MaxApplZone();
SetUpMenus();

gAppFRefNum =  0;

/*  Do Event Processing until the user quits  */

EventLoop();

}

/**********************************************************************************

Routine:	SetUpMenus

	routine to set up the menu bar for WelcomeStartupUtility
	
**********************************************************************************/
void	SetUpMenus(void)
{
MenuHandle		myMenu;

myMenu = GetMenu(mApple);

AddResMenu( myMenu, 'DRVR');
InsertMenu(myMenu, 0);
InsertMenu(GetMenu(mFile), 0);
DrawMenuBar();
}

/**********************************************************************************

Routine:	EventLoop

	routine to handle the events for WelcomeStartupUtility
	get events forever and handle them by calling DoEvent

**********************************************************************************/
void	EventLoop(void)
{
Boolean		gotEvent;
EventRecord	event;

do
	{
	gotEvent = WaitNextEvent(everyEvent, &event, 50, 0);
	
	if (gotEvent)
		{
		DoEvent(&event);
		}
	
	/* if we are done with the sound, dispose the sound channel
	   and close the sound file  */
	   
	if (gDestroyChannel) 
		{
		OSErr		myErr;
		
		InitCursor();

		if (gSndChan)
			myErr = SndDisposeChannel(gSndChan, TRUE);	

		if (gFRefNum)
			myErr = FSClose(gFRefNum);

		/* make sure we do it only once  */
	
		gDestroyChannel = false;
		gSndChan	= 0;
		gFRefNum	= 0;
		
		}
	}
	while (true) ;      /*   Loop Forever   !!    */	

}  /*  EventLoop  */  			

/**********************************************************************************

Routine:	DoEvent

	Determine the event type and process accordingly

**********************************************************************************/
void DoEvent(EventRecord *event)
{
short		part, err;
WindowPtr	window;
char		key;

switch (event->what) 
	{
	case nullEvent:
		break;
	
	case mouseDown:
	
		part = FindWindow(event->where, &window);
		switch (part) 
		{

		case inMenuBar:
			/*   process a mouse menu command   */
			DoMenuCommand(MenuSelect(event->where));	
			break;

		case inSysWindow:
			/*   let the system handle the mouseDown   */
			SystemClick(event, window);	
			break;

		case inContent:
			break;

		case inDrag:
			break;

		case inGoAway:
			break;

		case inGrow:
			break;

		case inZoomIn:
		case inZoomOut:
			break;
		}
		break;
		
	case keyDown:
	case autoKey:
		/*   Check for menuKey equivalents   */
		key = event->message & charCodeMask;
		if (event->modifiers & cmdKey) 
			/*   command key down   */
			/*   if command-period was pressed set our global to clean
				 up the sound channel & close the open sound file   */
			{
			if (key == '.')
				/*   command-period was pressed   */
				gDestroyChannel = TRUE;
			}
		break;

	case activateEvt:
		break;

	case updateEvt:
		break;
	}
}  /* DoEvent */

/**********************************************************************************

Routine:	DoMenuCommand

	Handle the menu selections for the WelcomeStartupUtility Application

**********************************************************************************/
void DoMenuCommand(long menuResult)
{
short		menuID, menuItem;
short		itemHit, daRefNum;
Str255		daName;

menuID = HiWord(menuResult);
menuItem = LoWord(menuResult);

switch (menuID)
	{
	case mApple:
		switch (menuItem)
			{
			case iAbout:
				/*  bring up the About Box  */
				{
				OSErr		err;
				Rect		tempRect;
				DialogPtr	aboutDlg;
				GrafPtr		oldPort;
				
				GetPort(&oldPort);
				
				aboutDlg = GetNewDialog(kAboutDlogRsrc, nil, (WindowPtr) -1);
				if (aboutDlg)
					/*  open a dialog box  */
					{
					ShowWindow(aboutDlg);
					SelectWindow(aboutDlg);		/*  Lets see it  */
					SetPort(aboutDlg);
					while (TRUE)
						{
						ModalDialog(NULL, &itemHit);
						if (itemHit == 1)
							break;
						}
						DisposDialog(aboutDlg);
						SetPort(oldPort);
					}
				}
				break;
				
			default:				
				/*   all non-About items in this menu are DAs   */
				GetItem(GetMHandle(mApple), menuItem, daName);
				daRefNum = OpenDeskAcc(daName);
				break;
			}
		break;
		
	case mFile:
		switch (menuItem) 				
			{
			case iPlaySound:
				PlayASound();							
				break;
			case iPickSound:
				PickASound();
				break;
			case iLocateApp:
				LocateApp();
				break;
			case iQuit:
				Terminate();
				break;
			}
		break;
	}

/*   unHighlight what MenuSelect (or MenuKey) highlighted    */
HiliteMenu(0);
}
					
/**********************************************************************************

Routine:	Terminate

	Quit the WelcomeStartupUtility Application

**********************************************************************************/
void Terminate(void)
/*   exit if no cancellation   */
{
ExitToShell();
}  /*   Terminate  */

/*********************************************************************************/
